/*
 * Daemonshogi -- a GTK+ based, Simple shogi(japanese chess) program.
 * Copyright (C) 2002 Masahiko Tokita
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gnome.h>

void
on_new_game_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_back_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_giveup_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_stop_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_restart_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_first_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_next_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_last_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_hirate_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mate_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_window_destroy_event                (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_window_destroy                      (GtkObject       *object,
                                        gpointer         user_data);

gboolean
on_drawingarea_motion_notify_event     (GtkWidget       *widget,
                                        GdkEventMotion  *event,
                                        gpointer         user_data);

gboolean
on_drawingarea_button_press_event      (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_drawingarea_button_release_event    (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_retract_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);


void
on_fileopen_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_filesave_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_filesaveas_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_exit_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_playgame_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_startedit_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_set_hirate_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);


void
on_small_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_middle_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_big_activate                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_bookwindow_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_icon_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_text_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_none_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_booklist_button_press_event         (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_toolbarshow_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_toolbarhide_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_drawingarea_expose_event            (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

void
on_bookwindow_destroy                  (GtkObject       *object,
                                        gpointer         user_data);

gboolean
on_handlebox_menu_button_press_event   (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_handlebox_menu_button_release_event (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_handlebox_toolbar_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_handlebox_toolbar_button_release_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_menu_icon_and_text_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_menu_icon_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_menu_text_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_ok_button_pressed                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_cancel_button_pressed               (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_drawingarea_leave_notify_event      (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

void
on_flip_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_button_mate_start_pressed           (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_mate_cancel_pressed          (GtkButton       *button,
                                        gpointer         user_data);

void
on_check_mate_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);


void
on_set_mate_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_rl_reversal_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_order_reversal_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_edit_flip_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_all_koma_to_pbox_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mate_thik_cancel                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_game_ok_pressed              (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_game_cancel_pressed          (GtkButton       *button,
                                        gpointer         user_data);

void
on_game_optionmenu_pressed             (GtkButton       *button,
                                        gpointer         user_data);

void
on_give_up_activate                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_matta_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_statusbar_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
